@echo off
if not $%1==$ goto usage
REM check we're in the right place
if not exist lynx.exe goto lost
if not exist mv.exe goto lost
if not exist gecho.exe goto lost
if not exist pwd.exe goto lost
REM check for proper ZIP extraction
if not exist local\*.* goto flat
REM check if we're already done
if not exist new_tmp\*.* goto done
REM check if this is a re-installation
if exist org\lynx.cfg goto continue
REM relocate the original files
md org > nul
if exist lynx.cfg mv lynx.cfg org
if exist wattcp.cfg mv wattcp.cfg org
if exist lynxbat.bat mv lynxbat.bat org
if exist lynxloca.bat mv lynxloca.bat org
if exist lynxremo.bat mv lynxremo.bat org
if exist nullpkt.zip mv nullpkt.zip local
copy org\wattcp.cfg local > nul
:continue
REM bring in the new files
mv new_tmp\*.* .
rd new_tmp
echo All done. Check "readme.1st" for further instructions.
goto end
:usage
echo This is the installation batch file (Rev A), for the LYNX4AU package.
goto end
:lost
echo Help, I'm lost! Either we're not in the Lynx directory
echo or there are files missing from your Lynx installation.
goto end
:flat
echo Arghh! Looks like you have made a mess of things. You need
echo to unzip the 'lynx4au*.zip' archive such that its directory
echo structure's preserved. Please clean up the mess and try again.
goto end
:done
echo It looks like you've already installed this package,
echo so I don't know what you want me to do now.
:end
echo.
